Skip to main content
POST
Create Chat Thread

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

company_id
integer
required
customer_id
integer | null
location_id
string | null
login_customer_id
integer | null

Body

application/json

The schema for creating an assistant's chat thread.

assistant_type
enum<string>
required

The Assistant types.

Available options:
onboarding,
general,
market_analysis,
campaign_creation
name
string | null
description
string | null
extra_data
Extra data used to create the chat thread that is later passed to Assistant Functions (tool calls) · object | null

Response

Successful Response

The schema for an assistant's chat thread.

thread_id
string
required
is_completed
boolean
required
date_added
string<date-time>
required
date_updated
string<date-time>
required
name
string | null
description
string | null
extra_data
Extra data used to create the chat thread that is later passed to Assistant Functions (tool calls) · object | null
google_ads_customer
GoogleAdsCustomerSchema · object | null

Schema for GoogleAdsCustomer model.

google_ads_login_customer_id
integer | null
google_business_location
GoogleBusinessLocationSchema · object | null
assistant
AssistantSchema · object | null

The schema for an assistant.